import {createDefaultAuth} from '../../../../utilities/auth'

export default async (req, res) => {
	try {
		const auth = createDefaultAuth()
		await auth.handleLogin(req, res)
	} catch (err) {
		res.status(err.status || 500).end(err.message)
	}
}
