import Method from '../../../utilities/handler/Method'
import FolderPresenter from '../../../domains/Folder/presenter'
import {forResourceRoute} from '../../../utilities/handler'
import '../../../messages'

export default forResourceRoute(async (req) => {
	const folderController = new FolderPresenter()
	switch (req.method) {
	case Method.GET:
		// GET all folders by the user
		break
	case Method.POST:
		return folderController.createFolder({
			name: req.body['name'],
			parentId: req.body['parent_id']
		})
	default:
		break
	}
})
