import styled from 'styled-components'

const Base = styled('button')({
	height: '2.5rem',
	border: 0,
	borderRadius: '0.25rem',
	backgroundColor: 'var(--color-fg, black)',
	color: 'var(--color-bg, white)',
	font: 'inherit',
	padding: '0 1rem',
	cursor: 'pointer',
})

const Button = (props) => {
	return (
		<Base {...props} />
	)
}

export default Button
