import * as React from 'react'
import { UserProvider } from '@auth0/nextjs-auth0'
import '../messages'
import '../styles/globals.css'

const App = ({ Component, pageProps }) => {
	return (
		<UserProvider>
			<Component {...pageProps} />
		</UserProvider>
	);
}

export default App
