import FolderPresenter from '../../../domains/Folder/presenter'
import Method from '../../../utilities/handler/Method'
import {forResourceRoute} from '../../../utilities/handler'
import '../../../messages'

export default forResourceRoute(async (req) => {
	const folderController = new FolderPresenter()
	switch (req.method) {
	case Method.GET:
		return folderController.getFolder({
			id: req.query['id'],
		})
	case Method.PUT:
		// TODO replace folder
		//   should we need this method?
		break
	case Method.PATCH:
		// TODO rename folder
		break
	case Method.DELETE:
		// TODO soft-delete folder
		break
	default:
		break
	}
})
